osmium::area::ProblemReporterException Class Reference

`#include <problem_reporter_exception.hpp>`

Inheritance diagram for osmium::area::ProblemReporterException:
[legend]
Collaboration diagram for osmium::area::ProblemReporterException:
[legend]

## Public Member Functions

| ProblemReporterException ()
| ~ProblemReporterException () override=default
void | report_duplicate_node (osmium::object_id_type node_id1, osmium::object_id_type node_id2, osmium::Location location) override
void | report_intersection (osmium::object_id_type way1_id, osmium::Location way1_seg_start, osmium::Location way1_seg_end, osmium::object_id_type way2_id, osmium::Location way2_seg_start, osmium::Location way2_seg_end, osmium::Location intersection) override
void | report_ring_not_closed (osmium::Location end1, osmium::Location end2) override
void | report_role_should_be_outer (osmium::object_id_type way_id, osmium::Location seg_start, osmium::Location seg_end) override
void | report_role_should_be_inner (osmium::object_id_type way_id, osmium::Location seg_start, osmium::Location seg_end) override
Public Member Functions inherited from osmium::area::ProblemReporterStream
| ProblemReporterStream (std::ostream &out)
| ~ProblemReporterStream () override=default
void | header (const char *msg)
void | report_duplicate_node (osmium::object_id_type node_id1, osmium::object_id_type node_id2, osmium::Location location) override
void | report_intersection (osmium::object_id_type way1_id, osmium::Location way1_seg_start, osmium::Location way1_seg_end, osmium::object_id_type way2_id, osmium::Location way2_seg_start, osmium::Location way2_seg_end, osmium::Location intersection) override
void | report_ring_not_closed (osmium::Location end1, osmium::Location end2) override
void | report_role_should_be_outer (osmium::object_id_type way_id, osmium::Location seg_start, osmium::Location seg_end) override
void | report_role_should_be_inner (osmium::object_id_type way_id, osmium::Location seg_start, osmium::Location seg_end) override
Public Member Functions inherited from osmium::area::ProblemReporter
| ProblemReporter ()=default
virtual | ~ProblemReporter ()=default
void | set_object (osmium::item_type object_type, osmium::object_id_type object_id) noexcept

## Private Attributes

std::stringstream | m_sstream

## Additional Inherited Members

Protected Attributes inherited from osmium::area::ProblemReporter
osmium::item_type | m_object_type
osmium::object_id_type | m_object_id

## Constructor & Destructor Documentation

osmium::area::ProblemReporterException::ProblemReporterException | ( |  | ) |

inline

osmium::area::ProblemReporterException::~ProblemReporterException | ( |  | ) |

override default

## Member Function Documentation

void osmium::area::ProblemReporterException::report_duplicate_node | ( | osmium::object_id_type | node_id1,
|  | osmium::object_id_type | node_id2,
|  | osmium::Location | location
| ) |  |

inline override virtual

Report a duplicate node, ie. two nodes with the same location.

Parameters

  node_id1 | ID of the first node.
  node_id2 | ID of the second node.
  location | Location of both nodes.

Reimplemented from osmium::area::ProblemReporter.

void osmium::area::ProblemReporterException::report_intersection | ( | osmium::object_id_type | way1_id,
|  | osmium::Location | way1_seg_start,
|  | osmium::Location | way1_seg_end,
|  | osmium::object_id_type | way2_id,
|  | osmium::Location | way2_seg_start,
|  | osmium::Location | way2_seg_end,
|  | osmium::Location | intersection
| ) |  |

inline override virtual

Report an intersection between two segments.

Parameters

  way1_id | ID of the first involved way.
  way1_seg_start | Location where the segment of the first way with the intersection starts
  way1_seg_end | Location where the segment of the first way with the intersection ends
  way2_id | ID of the second involved way.
  way2_seg_start | Location where the segment of the second way with the intersection starts
  way2_seg_end | Location where the segment of the second way with the intersection ends
  intersection | Location of the intersection. This might be slightly off the correct location due to rounding.

Reimplemented from osmium::area::ProblemReporter.

void osmium::area::ProblemReporterException::report_ring_not_closed | ( | osmium::Location | end1,
|  | osmium::Location | end2
| ) |  |

inline override virtual

Report an open ring.

Parameters

  end1 | Location of the first open end.
  end2 | Location of the second open end.

Reimplemented from osmium::area::ProblemReporter.

void osmium::area::ProblemReporterException::report_role_should_be_inner | ( | osmium::object_id_type | way_id,
|  | osmium::Location | seg_start,
|  | osmium::Location | seg_end
| ) |  |

inline override virtual

Report a segment that should have role "inner", but has a different role.

Parameters

  way_id | ID of the way this segment is in.
  seg_start | Start of the segment with the wrong role.
  seg_end | End of the segment with the wrong role.

Reimplemented from osmium::area::ProblemReporter.

void osmium::area::ProblemReporterException::report_role_should_be_outer | ( | osmium::object_id_type | way_id,
|  | osmium::Location | seg_start,
|  | osmium::Location | seg_end
| ) |  |

inline override virtual

Report a segment that should have role "outer", but has a different role.

Parameters

  way_id | ID of the way this segment is in.
  seg_start | Start of the segment with the wrong role.
  seg_end | End of the segment with the wrong role.

Reimplemented from osmium::area::ProblemReporter.

## Member Data Documentation

std::stringstream osmium::area::ProblemReporterException::m_sstream

private

The documentation for this class was generated from the following file:

- osmium/area/problem_reporter_exception.hpp